/******************************************************************************
;  *   	@ͺ				  : MC32F7343
;  *   	@             : 2021.08.04
;  *   	@˾/			  : SINOMCU-FAE
;  *   	@΢֧       : 2048615934
;  *   	@΢           : http://www.sinomcu.com/
;  *   	@Ȩ                 : 2021 SINOMCU˾Ȩ.
;  *----------------------ժҪ---------------------------------
;  *       	   	   	    P20 Ч(Ƶ)  
					P23IOת  ݷתжH/LRC    	   	   	   	   	   	   	   	   	   	
******************************************************************************/

#include "user.h"

/************************************************
;  *    @Function Name       : CLR_RAM
;  *    @Description         : RAM
;  *    @IN_Parameter      	 : 
;  *    @Return parameter    : 
;  ***********************************************/ 
void CLR_RAM(void)
{
   	for(FSR0=0;FSR0<0xff;FSR0++) 
   	{
   	   	INDF0=0;
   	}
   	FSR0=0xFF;
   	INDF0=0;
   	for(FSR1=0;FSR1<0x7f;FSR1++) 
   	{
   	   	INDF1=0;
   	}
   	FSR1=0x7f;
   	INDF1=0; 
}
/************************************************
;  *    @Function Name       : IO_Init
;  *    @Description         : ͨIO
;  *    @IN_Parameter      	 : 
;  *    @Return parameter    :
;  ***********************************************/   
void IO_Init(void)
{
   	IOP0=0;
   	IOP1=0;
   	IOP2=0;
   	
   	OEP0=0xff; 	   	//P0  out
   	OEP1=0xff; 	   	//P1  out
   	OEP2=0xfe; 	   	//P2  out P20 in
   	
   	ADIOS0=0;
   	ADIOS1=0;
   	
   	PUP0=0;
   	PUP1=0;        	   	  
   	PUP2=0x01;		//P20 up    	   	   	
   	
   	PDP0=0;
   	PDP1=0;
   	PDP2=0;
}
/************************************************
;  *    @Function Name       : Sys_Init
;  *    @Description         : ϵͳʼ
;  *    @IN_Parameter      	 : 
;  *    @Return parameter    :
;  ***********************************************/  
void Sys_Init(void)
{
   	GIE = 0;
   	CLR_RAM();
   	IO_Init();
   	GIE  = 1;        
}
void main(void)
{
   	Sys_Init();
   	while(1)
   	{  	 
		IO_TEST=!IO_TEST;
		if(KEY1==0)		//ܵƵ
		{
			ADEN=0;				//ûѡرպĵ
   	   	   	while(!STBL);  	   	//ȴlclkȶ 	   	
   	   	   	CLKS=1;	   	   	//sysclk=Lclk;
		}else
		{
			CLKS=0;	   	   	//sysclk=Hclk;
   	   	   	while(!STBH);  	   	//ȴHclkȶ 	   	
   	   	   	HFEN=1;
		}
   	}
}

void int_isr(void)__interrupt
{
__asm
   	movra   _abuf
   	swapar  _PFLAG
   	movra   _statusbuf
__endasm;

__asm
   	swapar  _statusbuf
   	movra   _PFLAG
   	swapr   _abuf
   	swapar  _abuf
__endasm;
}


/**************************** end of file *********************************************/





